Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 225366

Summary: Review Request: perl-Module-Depends - Identify the dependencies of a distribution
Product: [Fedora] Fedora Reporter: Ian Burrell <ianburrell>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideFlags: kevin: fedora-cvs+
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-02-13 21:33:00 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 163779    

Description Ian Burrell 2007-01-30 06:02:22 UTC
Spec URL: http://znark.com/fedora/perl-Module-Depends.spec
SRPM URL: http://znark.com/fedora/perl-Module-Depends-0.10-2.src.rpm
Description: Module::Depends extracts module dependencies from an unpacked
distribution tree.

Comment 1 Parag AN(पराग) 2007-02-09 05:31:49 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url             
a5751f458e410217ba39f7f32fa8899a  Module-Depends-0.10.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Provides: perl(Module::Depends) = 0.10 perl(Module::Depends::Intrusive)
perl(Module::Depends::Intrusive::Fake::Module::Build)
+ make test
t/depends....ok
All tests successful.
Files=1, Tests=16,  1 wallclock secs ( 0.30 cusr +  0.04 csys =  0.34 CPU)

APPROVED.


Comment 2 Ian Burrell 2007-02-13 21:33:00 UTC
Built for FC-5, FC-6, devel.

Comment 3 Ian Burrell 2008-06-06 18:00:30 UTC
Package Change Request
======================
Package Name: perl-Module-Depends
New Branches: EL-4 EL-5


Comment 4 Kevin Fenzi 2008-06-06 19:02:37 UTC
cvs done.